subset,ctd-method {oce} | R Documentation

## Subset a CTD Object

### Description

Return a subset of a section object.

### Usage

    ## S4 method for signature 'ctd'
    subset(x, subset, ...)

### Arguments

`x` | A `ctd` object, i.e. one inheriting from `ctd-class`.
`subset` | An expression indicating how to subset `x`.
`...` | optional arguments, of which only the first is examined. The only possibility is that this argument be named `indices`. See “Details”.

### Details

This function is used to subset data within the levels of a ctd object. There are two ways of working. If `subset` is supplied, then it is a logical expression that is evaluated within the environment of the `data` slot of the object (see Example 1). Alternatively, if the `...` list contains an expression defining `indices`, then that expression is used to subset each item within the `data` slot (see Example 2).

### Value

A `ctd-class` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `ctd` data: `[[,ctd-method`, `[[<-,ctd-method`, `as.ctd`, `cnvName2oceName`, `ctd-class`, `ctdDecimate`, `ctdFindProfiles`, `ctdRaw`, `ctdTrim`, `ctd`, `handleFlags,ctd-method`, `oceNames2whpNames`, `oceUnits2whpUnits`, `plot,ctd-method`, `plotProfile`, `plotScan`, `plotTS`, `read.ctd.itp`, `read.ctd.odf`, `read.ctd.sbe`, `read.ctd.woce.other`, `read.ctd.woce`, `read.ctd`, `summary,ctd-method`, `woceNames2oceNames`, `woceUnit2oceUnit`, `write.ctd`

Other functions that subset `oce` objects: `subset,adp-method`, `subset,adv-method`, `subset,amsr-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,met-method`, `subset,oce-method`, `subset,odf-method`, `subset,rsk-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(ctd)
    plot(ctd)
    ## Example 1
    plot(subset(ctd, pressure<10))
    ## Example 2
    plot(subset(ctd, indices=1:10))

[Package oce version 0.9-22 Index]